VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::VMTypes::PlacementSpec Class Reference

The `VM.PlacementSpec` class contains information used to place a virtual machine onto resources within the vCenter inventory. More...

List of all members.

## Public Member Functions
| PlacementSpec ()
| Creates a default new instance.
string | GetFolder ()
| Virtual machine folder into which the virtual machine should be placed.
void | SetFolder (string folder)
| Virtual machine folder into which the virtual machine should be placed.
string | GetResourcePool ()
| Resource pool into which the virtual machine should be placed.
void | SetResourcePool (string resourcePool)
| Resource pool into which the virtual machine should be placed.
string | GetHost ()
| Host onto which the virtual machine should be placed.
void | SetHost (string host)
| Host onto which the virtual machine should be placed.
string | GetCluster ()
| Cluster onto which the virtual machine should be placed.
void | SetCluster (string cluster)
| Cluster onto which the virtual machine should be placed.
string | GetDatastore ()
| Datastore on which the virtual machine's configuration state should be stored.
void | SetDatastore (string datastore)
| Datastore on which the virtual machine's configuration state should be stored.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `VM.PlacementSpec` class contains information used to place a virtual machine onto resources within the vCenter inventory.

## Constructor & Destructor Documentation

vmware::vcenter::VMTypes::PlacementSpec::PlacementSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::VMTypes::PlacementSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::VMTypes::PlacementSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::VMTypes::PlacementSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::VMTypes::PlacementSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::VMTypes::PlacementSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::VMTypes::PlacementSpec::Equals | ( | object | obj | ) | `[inline]`

string vmware::vcenter::VMTypes::PlacementSpec::GetCluster | ( |  | ) | `[inline]`

Cluster onto which the virtual machine should be placed.

If `cluster` and `resourcePool` are both specified, `resourcePool` must belong to `cluster` .

If `cluster` and `host` are both specified, `host` must be a member of `cluster` . When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `ClusterComputeResource` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `ClusterComputeResource` .

string vmware::vcenter::VMTypes::PlacementSpec::GetDatastore | ( |  | ) | `[inline]`

Datastore on which the virtual machine's configuration state should be stored.

This datastore will also be used for any virtual disks that are created as part of the virtual machine creation operation. When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Datastore` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Datastore` .

string vmware::vcenter::VMTypes::PlacementSpec::GetFolder | ( |  | ) | `[inline]`

Virtual machine folder into which the virtual machine should be placed.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Folder` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Folder` .

override int vmware::vcenter::VMTypes::PlacementSpec::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::VMTypes::PlacementSpec::GetHost | ( |  | ) | `[inline]`

Host onto which the virtual machine should be placed.

If `host` and `resourcePool` are both specified, `resourcePool` must belong to `host` .

If `host` and `cluster` are both specified, `host` must be a member of `cluster` . When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `HostSystem` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `HostSystem` .

string vmware::vcenter::VMTypes::PlacementSpec::GetResourcePool | ( |  | ) | `[inline]`

Resource pool into which the virtual machine should be placed.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `ResourcePool` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `ResourcePool` .

void vmware::vcenter::VMTypes::PlacementSpec::SetCluster | ( | string | cluster | ) | `[inline]`

Cluster onto which the virtual machine should be placed.

If `cluster` and `resourcePool` are both specified, `resourcePool` must belong to `cluster` .

If `cluster` and `host` are both specified, `host` must be a member of `cluster` . When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `ClusterComputeResource` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `ClusterComputeResource` .

void vmware::vcenter::VMTypes::PlacementSpec::SetDatastore | ( | string | datastore | ) | `[inline]`

Datastore on which the virtual machine's configuration state should be stored.

This datastore will also be used for any virtual disks that are created as part of the virtual machine creation operation. When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Datastore` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Datastore` .

void vmware::vcenter::VMTypes::PlacementSpec::SetFolder | ( | string | folder | ) | `[inline]`

Virtual machine folder into which the virtual machine should be placed.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Folder` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Folder` .

void vmware::vcenter::VMTypes::PlacementSpec::SetHost | ( | string | host | ) | `[inline]`

Host onto which the virtual machine should be placed.

If `host` and `resourcePool` are both specified, `resourcePool` must belong to `host` .

If `host` and `cluster` are both specified, `host` must be a member of `cluster` . When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `HostSystem` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `HostSystem` .

void vmware::vcenter::VMTypes::PlacementSpec::SetResourcePool | ( | string | resourcePool | ) | `[inline]`

Resource pool into which the virtual machine should be placed.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `ResourcePool` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `ResourcePool` .

override string vmware::vcenter::VMTypes::PlacementSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- VMTypes.cs